package riskuhujava;
// #[regen=yes,id=DCE.21EB6B4E-4AA0-4997-C387-4F50E87A672B]
// </editor-fold> 

import java.util.ArrayList;


public class Territorio {
    private int numTropas=0;
    private String nombre;
    private int idTerritorio;
    private ArrayList<Territorio> territoriosVecinos=new ArrayList();
    
    //Jugador al que pertenece ese territorio
    private Jugador mJugador;
    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.77B15999-B751-F227-3C04-0F2CB34074C4]
    // </editor-fold> 
    public Territorio (String nom,int id) {
        
        nombre=nom;
        idTerritorio=id;
        
    }
    
    public int getIdTerritorio(){
        return idTerritorio;
    }
    
    public String getnombre(){
        return nombre;
    }
    public void setIdTerritorio(int val){
        idTerritorio=val;
    }
    
    public void setTerritoriosVecinos(ArrayList<Territorio> val){
        territoriosVecinos=val;
    }
    
    public ArrayList<Territorio> getTerritoriosVecinos (){
        return territoriosVecinos;
    }

    public void setNumTropas(int val){
        numTropas=val;
    }
    
    public int getNumTropas(){
        return numTropas;
    }
    
    public void setJugador(Jugador val){
        mJugador=val;
    }
    
    public Jugador getJugador(){
        return mJugador;
    }
}

